curl --request PATCH \
--url https://api.bambumeta.software/brands/{brand_id}/attributes/{brand_attribute_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "External member identifier"
}
'import requests
url = "https://api.bambumeta.software/brands/{brand_id}/attributes/{brand_attribute_id}"
payload = { "description": "External member identifier" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'External member identifier'})
};
fetch('https://api.bambumeta.software/brands/{brand_id}/attributes/{brand_attribute_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brandAttributeId": 8,
"name": "memberId",
"dataType": "string",
"searchable": true,
"unique": true,
"description": "External member identifier"
}Update a brand attribute
Updates a brand attribute definition.
Authorizations
Path Parameters
Brand Identifier
brand attribute Identifier
Body
The brand attribute creation input
Attribute name
Description of the Attribute
Unique identifier for the brand
Is the attribute required
Is the attribute encrypted
Is the attribute searchable
Is the attribute unique
Status code for the brand attribute
Valid values: 'string'|'number'|'boolean'|'date', in not provided, assumes string.
Show child attributes
Show child attributes
Response
OK
Unique identifier for the brand attribute
Attribute name
Description of the Attribute
Unique identifier for the brand
Is the attribute required
Is the attribute encrypted
Is the attribute searchable
Is the attribute unique
Status code for the brand attribute
Valid values: 'string'|'number'|'boolean'|'date', in not provided, assumes string.
Show child attributes
Show child attributes